apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: argocd-cluster-admin
rules:
  - apiGroups:
      - "*"
    resources:
      - "*"
    verbs:
      - "*"
  - nonResourceURLs:
      - "*"
    verbs:
      - "*"
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: argocd-cluster-admin
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: argocd-cluster-admin
subjects:
  - kind: ServiceAccount
    name: argocd-cluster-admin
    namespace: kube-system
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: argocd-cluster-admin
  namespace: kube-system
---
